con

  _clkmode = xtal1 + pll16x
  _clkfreq = 80_000_000

  MS_001   = 80_000_000 / 1_000   
  MSTR = 26

obj

  tx  : "fullduplexserialdp_1"
  
pub Main

  tx.start(-1, MSTR, 2, 9_600)     ' start the master transmitter
   
  repeat
     data($00, $3F, $00, $00)                                       
     pause (1000)

pub data(Y1, Y2, Y3, Y4) | chksum

  tx.tx($0C)
  tx.tx(Y1)                       
  chksum := $0C + Y1
  tx.tx(Y2)
  chksum += Y2
  tx.tx(Y3)                        
  chksum += Y3 
  tx.tx(Y4)
  chksum += Y4
  chksum &=  $0_FF                 ' remove any overflow bigger than byte
  tx.tx(chksum)                    'checksum

pub pause(ms) | t

  t := cnt
  repeat ms
    waitcnt(t += MS_001)
      